Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRBaseFiller.PageIdentityDataProvider

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRBaseFiller.PageIdentityDataProvider

All Implemented Interfaces:
  JRVirtualPrintPage.IdentityDataProvider

Enclosing class:
  JRBaseFiller

    protected static final class JRBaseFiller.PageIdentityDataProvider

extends java.lang.Object
implements JRVirtualPrintPage.IdentityDataProvider

Constructor Summary
`protected` | `JRBaseFiller.PageIdentityDataProvider(JRPrintPage printPage)`

Method Summary
`JRVirtualPrintPage.ObjectIDPair[]` | `getIdentityData(JRVirtualPrintPage page)` Get identity data that the provider later want to handle when the virtual object is paged in.
`static JRVirtualPrintPage.IdentityDataProvider` | `getIdentityDataProvider(JRPrintPage printPage)`
`static JRVirtualPrintPage.IdentityDataProvider` | `removeIdentityDataProvider(JRPrintPage printPage)`
`void` | `setIdentityData(JRVirtualPrintPage page, JRVirtualPrintPage.ObjectIDPair[] identityData)` Handle the identity data as necessary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRBaseFiller.PageIdentityDataProvider

    protected JRBaseFiller.PageIdentityDataProvider(JRPrintPage printPage)

Method Detail

### getIdentityData

    public JRVirtualPrintPage.ObjectIDPair[] getIdentityData(JRVirtualPrintPage page)

  Description copied from interface: `JRVirtualPrintPage.IdentityDataProvider`
  Get identity data that the provider later want to handle when the virtual object is paged in.

  Specified by:
    `getIdentityData` in interface `JRVirtualPrintPage.IdentityDataProvider`

### setIdentityData

    public void setIdentityData(JRVirtualPrintPage page,
                                JRVirtualPrintPage.ObjectIDPair[] identityData)

  Description copied from interface: `JRVirtualPrintPage.IdentityDataProvider`
  Handle the identity data as necessary.

  Specified by:
    `setIdentityData` in interface `JRVirtualPrintPage.IdentityDataProvider`

### getIdentityDataProvider

    public static JRVirtualPrintPage.IdentityDataProvider getIdentityDataProvider(JRPrintPage printPage)

### removeIdentityDataProvider

    public static JRVirtualPrintPage.IdentityDataProvider removeIdentityDataProvider(JRPrintPage printPage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com